Skip to main content
GET
/
v1
/
calls
cURL
curl --request GET \
  --url https://api.fluents.ai/v1/calls \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.fluents.ai/v1/calls"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.fluents.ai/v1/calls', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "550e8400-e29b-41d4-a716-446655440000",
  "user_id": "550e8400-e29b-41d4-a716-446655440000",
  "to_number": "+1234567890",
  "from_number": "+0987654321",
  "agent": {},
  "telephony_provider": "twilio",
  "agent_phone_number": "+1234567890",
  "context": {},
  "telephony_params": {},
  "action_history": [
    {
      "event_type": "action_completed",
      "timestamp": "2025-03-26T06:10:33.560833+00:00",
      "action_id": "51d82e68-b63a-4b85-b0de-7fd2c8b36c88",
      "action_type": "action_external",
      "action_label": "Book Appointment",
      "parameters": {
        "key": "value"
      },
      "result": {
        "json": {
          "success": true
        },
        "http_status_code": 200,
        "error": null
      }
    }
  ],
  "status": "in_progress",
  "error_message": "Call failed to connect",
  "recording_available": true,
  "transcript": "Hello, this is a transcript",
  "human_detection_result": "human",
  "do_not_call_result": false,
  "telephony_id": "call_123",
  "stage": "created",
  "stage_outcome": "human_unanswered",
  "telephony_metadata": {},
  "start_time": "2023-01-01T00:00:00Z",
  "end_time": "2023-01-01T00:01:00Z",
  "hipaa_compliant": false,
  "on_no_human_answer": "continue",
  "run_do_not_call_detection": true,
  "telephony_account_connection": {},
  "is_outgoing": true,
  "errors": [
    "Error 1",
    "Error 2"
  ]
}
{
"message": "<string>",
"error": "<string>",
"statusCode": 400
}
{
"message": "<string>",
"error": "<string>",
"statusCode": 404
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

id
string
required

Response

id
string
required
Example:

"550e8400-e29b-41d4-a716-446655440000"

user_id
string
required
Example:

"550e8400-e29b-41d4-a716-446655440000"

to_number
string
required
Example:

"+1234567890"

from_number
string
required
Example:

"+0987654321"

agent
object
required
telephony_provider
object
required
Example:

"twilio"

agent_phone_number
string
required
Example:

"+1234567890"

context
object
required
telephony_params
object
required
action_history
object[]
required
Example:
[
{
"event_type": "action_completed",
"timestamp": "2025-03-26T06:10:33.560833+00:00",
"action_id": "51d82e68-b63a-4b85-b0de-7fd2c8b36c88",
"action_type": "action_external",
"action_label": "Book Appointment",
"parameters": { "key": "value" },
"result": {
"json": { "success": true },
"http_status_code": 200,
"error": null
}
}
]
status
enum<string>
Available options:
not_started,
in_progress,
error,
ended
Example:

"in_progress"

error_message
string
Example:

"Call failed to connect"

recording_available
boolean
Example:

true

transcript
string
Example:

"Hello, this is a transcript"

human_detection_result
enum<string>
Available options:
human,
no_human
Example:

"human"

do_not_call_result
boolean
Example:

false

telephony_id
string
Example:

"call_123"

stage
enum<string>
Available options:
created,
picked_up,
transfer_started,
transfer_successful
Example:

"created"

stage_outcome
enum<string>
Available options:
human_unanswered,
call_did_not_connect,
human_disconnected,
bot_disconnected,
transfer_unanswered,
transfer_disconnected
Example:

"human_unanswered"

telephony_metadata
object
start_time
string
Example:

"2023-01-01T00:00:00Z"

end_time
string
Example:

"2023-01-01T00:01:00Z"

hipaa_compliant
boolean
Example:

false

on_no_human_answer
enum<string>
Available options:
continue,
hangup
Example:

"continue"

run_do_not_call_detection
boolean
Example:

true

telephony_account_connection
object
is_outgoing
boolean
Example:

true

errors
string[]
Example:
["Error 1", "Error 2"]